# react_slider_shape

A new Flutter package.

## Getting Started

you can customize slider theme in slider overlay shape and
slider thumb shape using this package.

### Example



import 'package:flutter/material.dart';
import 'package:react_slider_shape/react_slider_shape.dart';


void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      theme: ThemeData(
          brightness: Brightness.light,
          appBarTheme: AppBarTheme(brightness: Brightness.light)),
      home: HomePage(),
    );
  }
}


class HomePage extends StatelessWidget {

  @override
  Widget build(BuildContext context) {
    return Scaffold(

      body: Column(
        mainAxisAlignment: MainAxisAlignment.center,
        children: <Widget>[
          Padding(
            padding: const EdgeInsets.symmetric(horizontal: 30),
            child: MySlider(),
          ),
        ],
      ),
    );
  }
}



class MySlider extends StatefulWidget {
  @override
  _MySliderState createState() => _MySliderState();
}

class _MySliderState extends State<MySlider> {
  double value = 0;

  @override
  Widget build(BuildContext context) {
    return SliderTheme(
      data: SliderThemeData(
          overlayColor: Colors.pinkAccent[100],
          overlayShape: SliderOverlayReact(overlayRadius: 30),
          thumbColor: Colors.pink,
          trackHeight: 10,
          disabledThumbColor: Colors.amber,
          activeTrackColor: Colors.pinkAccent,
          inactiveTrackColor: Colors.pinkAccent[100].withOpacity(.5),
          thumbShape: CustomSliderThumbReact(
              disabledThumbRadius: 30, enabledThumbRadius: 14),
          valueIndicatorColor: Colors.white),
      child: Slider(
          value: value,
          onChanged: (value) {
            setState(() {
              this.value = value;
            });
          }),
    );
  }
}
